Page MenuHomePhabricator

PDF metadata import fails with Wikipedia Cite automatic URL reference
Closed, DeclinedPublic

Description

No PDF metadata available or extracted from a PDF file at URL when trying to obtain automatic cite reference?

So the user must fall back to manual filling in the cite template (manual copy/paste).

It succeeds for e.g. a PDF prepared from PowerPoint presentation that was uploaded to Commons.

Maybe it depends on the metadata (not) available in the PDF file itself.

Would there be some recommendations on how to structure the metadata in a PDF file, or (broader) on any web HTML page?

Event Timeline

Geertivp created this task.May 13 2019, 4:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 4:13 PM

Hi @Geertivp, unfortunately this report lacks some information and does not allow anyone else to understand what is requested here. If you have time and can still reproduce the problem: Please add a more complete description to this report.

Which project or website is this about?

You can edit the task description by clicking Edit Task.
Ideally, exact and clear steps to reproduce should allow any other person to follow these steps (without having to interpret those steps) and see the same results. Problems that others can reliably reproduce can get fixed faster. Thanks!

Geertivp removed Geertivp as the assignee of this task.May 17 2019, 12:38 PM
Geertivp updated the task description. (Show Details)
Aklapper closed this task as Declined.Jul 2 2019, 7:52 AM

Unfortunately it's unclear how to reproduce the problem as there are no steps to reproduce and no link to a PDF file which exposes the problem. :(

@Geertivp: After you have provided the information asked for and if this still happens, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!

It appears that the source PDF document did not have any property filled in. You can better add (standard) properties (Title, author, subject, keywords) with e.g. Acrobat Reader before publishing the document on a webserver.